apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ .Chart.Name }}-configmap
data:

  SPRING_DATASOURCE_URL: {{ tpl .Values.db.url . | quote }}
  SPRING_DATASOURCE_USERNAME: {{ .Values.db.username | quote }}
  SPRING_DATASOURCE_PASSWORD: {{ .Values.db.password | quote }}
  SPRING_CONFIG_IMPORT: {{ .Values.extraConfigImport | quote }}

  KEYCLOAK_URL: "{{ tpl (printf "%s%s" "https://" .Values.hostT1) . }}/auth"
  KEYCLOAK_APP_REALM: {{ tpl .Values.keycloak.master.realm . | quote }}
  KEYCLOAK_MASTER_USER: {{ .Values.keycloak.master.user | quote }}
  KEYCLOAK_MASTER_PASSWORD: "{{ .Values.keycloak.master.password }}"
  KEYCLOAK_CLIENT_TO_REALM_ROLE_MIGRATION_ENABLED: {{ .Values.keycloak.clientToRealmRoleMigration.enabled | quote }}
  KEYCLOAK_CLIENT_TO_REALM_ROLE_MIGRATION_CLIENT_IDS: {{ .Values.keycloak.clientToRealmRoleMigration.clientIds | quote }}

  CLIENT_AUTHORITY_URL: {{ tpl (printf "%s%s" "https://" .Values.authorityHostT2) . | quote }}

  {{- if ne ((.Values.databaseSeeding).roleIdentityAttributesMapping).enabled nil }}
  DATABASESEEDING_ROLEIDENTITYATTRIBUTESMAPPING_ENABLED: "{{ ((.Values.databaseSeeding).roleIdentityAttributesMapping).enabled }}"
  {{- end }}
  {{- with ((.Values.databaseSeeding).roleIdentityAttributesMapping).filePath }}
  DATABASESEEDING_ROLEIDENTITYATTRIBUTESMAPPING_FILEPATH: "{{ . }}"
  {{- end }}

  MICROSERVICE_AUTHENTICATION_PROVIDER_URL: {{ tpl .Values.microservices.authenticationProviderUrl . | quote }}
